PHP5 and mySQL5

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Get Involved
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
r1~
Registered User
Posts: 2
Joined: Wed Jun 28, 2006 10:23 pm

PHP5 and mySQL5

Post by r1~ »

Has any one had issues with running the beta on PHP5.1.1 and mySQL 5.0.19-nt ? I'm not sure if all the files are being installed.

I'm able to install it and change options in the ACP and add a catagories and then forums. Updated the permissions and viewed permission again to make sure that they set correctly. Then I go to the main index the forum is there, but if I enter into the forum is says " you are not authurised(yes, it was miss spelled) to view this forum". And if I go back to the index the forum is gone. Also if I do not click into a new forum and just if refresh it also causes it to perm disappear.

Note: I have used someones live test version (http://area51.phpbb.com/phpBB/viewtopic.php?f=3&t=23380) and made sure that I was not messing up the permissions thru the ACP.

Any ideas? thanks
Last edited by r1~ on Thu Jun 29, 2006 12:17 pm, edited 2 times in total.
r1~
Registered User
Posts: 2
Joined: Wed Jun 28, 2006 10:23 pm

Post by r1~ »

[phpBB Debug] PHP Notice: in file /includes/functions_admin.php on line 2130: unserialize() [function.unserialize]: Error at offset 9 of 25 bytes
[phpBB Debug] PHP Notice: in file /includes/functions_admin.php on line 2134: Invalid argument supplied for foreach()


Get this from the debugger
User avatar
lwq
Registered User
Posts: 181
Joined: Tue Aug 12, 2003 1:43 pm

Post by lwq »

I am using php 5.1.2 and MySQL - 5.0.20-nt, and i do not have problem on the test installation on my machine.
lwq
ham~R1
Registered User
Posts: 6
Joined: Sat Jun 17, 2006 8:51 pm

Post by ham~R1 »

lwq wrote: I am using php 5.1.2 and MySQL - 5.0.20-nt, and i do not have problem on the test installation on my machine.


ok thanks, I'll keep digging
User avatar
Anon
Former Team Member
Posts: 7019
Joined: Fri Jan 02, 2004 7:33 am
Location: Christchurch, New Zealand

Post by Anon »

Indeed, under IIS 6, PHP 5.1.4 and MySQL 5.0.20 on my Server 2003 system there are no issues
Jayso
Registered User
Posts: 168
Joined: Tue Dec 20, 2005 11:14 am
Location: Brisbane, Australia

Post by Jayso »

And on my Apache 2.2.2 with PHP 5.1.4 and MySQL 5.0 Running on Win XP Pro - i don't have any problems either...
Jayso
MightyElectro
Registered User
Posts: 7
Joined: Thu Jun 29, 2006 7:26 am
Contact:

Post by MightyElectro »

Need help setting up php5 to work with My SQL

it says my configuration of php doesnt support mysql

Im running WinXP

apache 2.2.2
php5
MySQL 5.0.22

I had no problems running an earlyer version of apache 2.0 and php4 with no problem along with mysql but im trying to move to apache 2.2 and php5 so my other php files on my server can be supported under php5

any suggestions :?
User avatar
karlsemple
Former Team Member
Posts: 39802
Joined: Mon Nov 01, 2004 8:54 am
Location: Hereford, UK
Contact:

Post by karlsemple »

MightyElectro wrote: Need help setting up php5 to work with My SQL

it says my configuration of php doesnt support mysql

Im running WinXP

apache 2.2.2
php5
MySQL 5.0.22

I had no problems running an earlyer version of apache 2.0 and php4 with no problem along with mysql but im trying to move to apache 2.2 and php5 so my other php files on my server can be supported under php5

any suggestions :?
#



This is not a phpbb support issue but you need to edit the php.ini to uncomment the extension extension=php_mysql.dll

so

change ;extension=php_mysql.dll


to

extension=php_mysql.dll


then restart the web server
Image
MightyElectro
Registered User
Posts: 7
Joined: Thu Jun 29, 2006 7:26 am
Contact:

Post by MightyElectro »

Thanks for the help
Locked

Return to “[3.0.x] Support Forum”